Updates an existing allowlist rule
cURL
curl --request PATCH \ --url https://api.jetemail.com/inbound/allowlist/{uuid} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "type": "from", "value": "<string>", "notes": "<string>" } '
{ "success": true, "rule": { "uuid": "<string>", "type": "<string>", "action": "<string>", "value": "<string>", "notes": "<string>", "last_modified": 123 } }
API key for account management endpoints. Use your api_ prefixed token.
UUID of the allowlist rule to update
^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Type of allowlist rule
from
to
subject
body
ip
domain
Value for the rule (format depends on type)
Optional notes about the rule
64
^[^<>]+$
Rule updated successfully
true
Show child attributes